export enum Features {
  SEGMENT = "SEGMENT",
  CUSTOM_ZONES = "CUSTOM_ZONES",
  ON_BOARDING_CHECKS = "ON_BOARDING_CHECKS",
  NOTIFICATIONS = "NOTIFICATIONS",
  ANNOUNCEMENT = "ANNOUNCEMENT",
  RECORDING = "RECORDING",
  PRIVATE_MEETING = "PRIVATE_MEETING",
  PRIVATE_CHAT = "PRIVATE_CHAT",
  EXPO = "EXPO",
  SCHEDULE = "SCHEDULE",
  LOBBY = "LOBBY",
  LEADERBOARD = "LEADERBOARD",
  NETWORKING = "NETWORKING",
  EVENT_INTERACTION = "EVENT_INTERACTION",
  ROOM = "ROOM",
  BACKSTAGE = "BACKSTAGE",
  STAGE = "STAGE",
  DAY = "DAY",
}

export enum Leaderboard {
  SHOW_LDB_RANKS = "SHOW_LDB_RANKS",
  SHOW_LDB_POINT_DISTRIBUTION = "SHOW_LDB_POINT_DISTRIBUTION",
  ALLOW_LDB_PROFILE_IN_RANKING = "ALLOW_LDB_PROFILE_IN_RANKING",
}

export enum Networking {
  SHOW_NWTWORKING_PROFILE = "SHOW_NWTWORKING_PROFILE",
}

export enum Room {
  ACCESS_PVT_ROOMS = "ACCESS_PVT_ROOMS",
  SHOW_RESERVED_ROOMS_ONLY = "SHOW_RESERVED_ROOMS_ONLY",
}

export enum EventInteration {
  ENABLE_EVENT_INTERACTION_CHAT = "ENABLE_EVENT_INTERACTION_CHAT",
  ENABLE_EVENT_INTERACTION_PEOPLE = "ENABLE_EVENT_INTERACTION_PEOPLE",
}

export enum Backstage {
  ALLOW_ALL_STAGES = "ALLOW_ALL_STAGES",
  ALLOW_TAGGED_STAGES_ONLY = "ALLOW_TAGGED_STAGES_ONLY",
}

export enum Roles {
  ATTENDEES = "Attendees",
  BOOTH_OWNERS = "Booth Owners",
  MODERSTORS = "Moderstors",
  ORGANIZERS = "Organizers",
  SPEAKERS = "Speakers",
}
